package com.dcsoft.system.camera.mapper;

import java.util.List;
import com.dcsoft.system.camera.domain.TbCamera;

/**
 * 视频配置Mapper接口
 *
 * @author nichun
 * @date 2023-08-10
 */
public interface TbCameraMapper
{
    /**
     * 查询视频配置
     *
     * @param id 视频配置主键
     * @return 视频配置
     */
    public TbCamera selectTbCameraById(Long id);

    /**
     * 查询视频配置列表
     *
     * @param tbCamera 视频配置
     * @return 视频配置集合
     */
    public List<TbCamera> selectTbCameraList(TbCamera tbCamera);

    /**
     * 新增视频配置
     *
     * @param tbCamera 视频配置
     * @return 结果
     */
    public int insertTbCamera(TbCamera tbCamera);

    /**
     * 修改视频配置
     *
     * @param tbCamera 视频配置
     * @return 结果
     */
    public int updateTbCamera(TbCamera tbCamera);

    /**
     * 删除视频配置
     *
     * @param id 视频配置主键
     * @return 结果
     */
    public int deleteTbCameraById(Long id);

    /**
     * 批量删除视频配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbCameraByIds(Long[] ids);
}
